from setuptools import setup, find_packages

setup(
    name="synapse-invite-checker",
    version="0.1",
    description="Synapse module for checking invites against whitelist and blacklist",
    packages=find_packages(),
    install_requires=[
        "matrix-synapse",  # Ensure Synapse is installed
        "aiohttp",  # For async HTTP requests
        "cachetools",  # For caching the results
    ],
    entry_points={
        "synapse.python_module": [
            "InviteChecker = synapse_invite_checker.module:InviteChecker"
        ]
    },
)
